# isInvokable abstract method

bool isInvokable()

Checks if this class is invokable.

Invokable classes are classes that is not an abstract class or an abstract that has atleast one factory constructor.

Returns:

- `true` if the class is invokable
- `false` for non-invokable classes

Example:

    class Invokable {}
    class NonInvokable {}

    Class.forType<Invokable>().isInvokable(); // true
    Class.forType<NonInvokable>().isInvokable();   // false

## Implementation

    bool isInvokable();